/*
 * file com_to_server.c - client's communication with server
 *
 * $Id: com_to_server.h,v 1.3 2004/05/14 10:00:33 alfie Exp $
 *
 * Program XBLAST 
 * (C) by Oliver Vogel (e-mail: m.vogel@ndh.net)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published
 * by the Free Software Foundation; either version 2; or (at your option)
 * any later version
 *
 * This program is distributed in the hope that it will be entertaining,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILTY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.
 * 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
#ifndef XBLAST_COM_TO_SERVER_C
#define XBLAST_COM_TO_SERVER_C

#include "com_base.h"
#include "cfg_game.h"
#include "network.h"

/*
 * global prototypes
 */
extern XBComm *C2S_CreateComm (const CFGGameHost *);
extern const char *C2S_ServerName (XBComm *);
extern const char *C2S_ClientName (XBComm *);
extern void C2S_SendDgramPort (XBComm *, unsigned short);
extern void C2S_Sync (XBComm *, XBNetworkEvent);

#endif
/*
 * end of file com_to_server.h
 */
